Wordcloud
Strategy: NostalgiaForInfinityV6_911
Downloaded: 20220116
Stoploss: -0.277
5mSpotv2UnbiasedLink


Not Enough Data to display!

Average Overall
BuysAvgprofTotProfWin%DD%Time
430.161.1758.752.9358.37
SharpeSortinoCalmar
1.681.6813.96
Prof.FactorExpectancyCagr
0.2400
Trades/DayRejected Signals
1.5714.25
Ninja Score: 60
The NostalgiaForInfinityV6 strategy is a trading strategy that aims to generate buy signals based on a set of conditions. The strategy uses various indicators and protection mechanisms to determine when to enter a long position. In the populate_indicators method, the strategy calculates different indicators based on the provided DataFrame and metadata.

These indicators include informative_1h indicators and normal time frame indicators.

The resulting DataFrame is then returned.

The populate_buy_trend method is responsible for generating buy signals. It defines several conditions and protection mechanisms that need to be satisfied for a buy signal to be triggered. The protection mechanisms include checks based on exponential moving averages (EMA), close prices above EMAs, rising simple moving averages (SMA), and other factors such as safe dips and safe pump periods. The strategy defines multiple sets of conditions, denoted as buy_01_logic, buy_02_logic, buy_03_logic, and buy_04_logic. Each set of conditions is combined using logical AND operations (&). The conditions consider various factors such as EMAs, relative strength index (RSI), money flow index (MFI), Bollinger Bands, and volume. If a specific buy condition is enabled, the corresponding set of conditions is added to the conditions list. Finally, the strategy creates a new column in the DataFrame called 'buy_01_trigger', 'buy_02_trigger', 'buy_03_trigger', or 'buy_04_trigger' based on the triggered buy signals. Overall, the NostalgiaForInfinityV6 strategy uses a combination of technical indicators and conditions to generate buy signals, allowing users to backtest and evaluate its performance in a trading scenario.

Traceback (most recent call last): File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connection.py", line 203, in _new_conn sock = connection.create_connection( ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/util/connection.py", line 60, in create_connection for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM): ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/usr/local/lib/python3.11/socket.py", line 962, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ socket.gaierror: [Errno -2] Name or service not known The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 790, in urlopen response = self._make_request( ^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 491, in _make_request raise new_e File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 467, in _make_request self._validate_conn(conn) File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 1092, in _validate_conn conn.connect() File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connection.py", line 611, in connect self.sock = sock = self._new_conn() ^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connection.py", line 210, in _new_conn raise NameResolutionError(self.host, self, e) from e urllib3.exceptions.NameResolutionError: : Failed to resolve 'api.binance.com' ([Errno -2] Name or service not known) The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/home/ftuser/.local/lib/python3.11/site-packages/requests/adapters.py", line 486, in send resp = conn.urlopen( ^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 844, in urlopen retries = retries.increment( ^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/util/retry.py", line 515, in increment raise MaxRetryError(_pool, url, reason) from reason # type: ignore[arg-type] ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='api.binance.com', port=443): Max retries exceeded with url: /api/v3/exchangeInfo (Caused by NameResolutionError(": Failed to resolve 'api.binance.com' ([Errno -2] Name or service not known)")) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/base/exchange.py", line 584, in fetch response = self.session.request( ^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/requests/sessions.py", line 589, in request resp = self.send(prep, **send_kwargs) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/requests/sessions.py", line 703, in send r = adapter.send(request, **kwargs) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/requests/adapters.py", line 519, in send raise ConnectionError(e, request=request) requests.exceptions.ConnectionError: HTTPSConnectionPool(host='api.binance.com', port=443): Max retries exceeded with url: /api/v3/exchangeInfo (Caused by NameResolutionError(": Failed to resolve 'api.binance.com' ([Errno -2] Name or service not known)")) The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/freqtrade/freqtrade/exchange/exchange.py", line 480, in _load_markets self._markets = self._api.load_markets(params={}) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/base/exchange.py", line 1444, in load_markets markets = self.fetch_markets(params) ^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/binance.py", line 2005, in fetch_markets promisesRaw.append(self.publicGetExchangeInfo(params)) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/base/types.py", line 26, in unbound_method return _self.request(self.path, self.api, self.method, params, config=self.config) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/binance.py", line 7665, in request response = self.fetch2(path, api, method, params, headers, body, config) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/base/exchange.py", line 3048, in fetch2 return self.fetch(request['url'], request['method'], request['headers'], request['body']) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/base/exchange.py", line 637, in fetch raise NetworkError(details) from e ccxt.base.errors.NetworkError: binance GET https://api.binance.com/api/v3/exchangeInfo
stoploss: -0.277
timeframe: 5m
hash(sha256): a097cfc1718eaf3280aa5a136c6ea2b916955fd72c646aee73e49f5acca62218
indicators:
sell_pump_36_2_1h sell_pump_36_3_1h sma_200_1h upper safe_pump_36_normal_1h
ema_35_1h cmf_1h length ema_200 ema_50
sell_pump_36_1 sell_pump_24_1 close ema_15 sell_pump_36_2
tail safe_pump_36_strict sell_pump_24_1_1h bb_lowerband safe_pump_24_strict
sma_5 safe_pump_48_strict mfi ema_200_1h bbdelta
ewo safe_pump_48_normal volume sell_pump_36_3 ema_100_1h
closedelta sell_pump_48_1 sell_pump_36_1_1h ema_20 open
safe_pump_36_loose safe_dips_loose safe_dips_normal safe_dips_strict sell_pump_48_1_1h
vo

Similar Strategies: (based on used indicators)

Strategy: NostalgiaForInfinityV6, Similarity Score: 97.62%
Strategy: NostalgiaForInfinityV6HO, Similarity Score: 97.62%
Strategy: NostalgiaForInfinityV6_2, Similarity Score: 97.62%

last change: 2024-04-02 02:47:46